Name:  geos
Version: 3.12.1
Release: %mkrel 1
License: LGPLv2+
Summary: GEOS (Geometry Engine, Open Source) topology library
URL:     https://libgeos.org/
Source:  https://download.osgeo.org/geos/%{name}-%{version}.tar.xz
Group:   Sciences/Geosciences
BuildRoot:  %{_tmppath}/%{name}-%{version}-root
BuildRequires: multiarch-utils

%description
The GEOS library provides topological operators and simple spatial constructs:
points, lines, polygons, and collections.

#-----------------------------------------------------------------------------

%define major 3
%define libname	%mklibname geos %{major}

%package -n %{libname}
Summary: Libraries for GEOS
Group: System/Libraries
Provides: %{name} lib%{name}

%description -n %{libname}
The GEOS library provides topological operators and simple spatial constructs:
points, lines, polygons, and collections.

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/libgeos.so.%{version}

#-----------------------------------------------------------------------------

%define major_c	1
%define libname_c %mklibname geos_c %{major_c}

%package -n %{libname_c}
Summary: Libraries for GEOS
Group: System/Libraries

%description -n %{libname_c}
The GEOS library provides topological operators and simple spatial constructs:
points, lines, polygons, and collections.

%files -n %{libname_c}
%defattr(-,root,root)
%{_libdir}/libgeos_c.so.%{major_c}*

#-----------------------------------------------------------------------------

%define devel_name	%mklibname %{name} -d

%package -n %{devel_name}
Summary: Development Libraries for the GEOS topology library
Group: Development/Libraries
Requires: %{libname} = %{version}
Requires: %{libname_c} = %{version}
Provides: %{name}-devel = %{version}
Provides: libgeos-devel = %{version}
Obsoletes: %{mklibname -d geos 3}

%description -n %{devel_name}
The GEOS library provides topological operators and simple spatial constructs:
points, lines, polygons, and collections.

%files -n %{devel_name}
%defattr(-,root,root)
%_bindir/geos-config
%_bindir/geosop
%_includedir/*
%_libdir/*.so
%{_libdir}/pkgconfig/geos.pc
%{_libdir}/cmake/GEOS/geos-*.cmake
#-----------------------------------------------------------------------------

%prep
%setup -q

%build
%configure2_5x \
        --disable-static

%make_build

%install
rm -Rf %buildroot
%makeinstall_std

find %{buildroot} -name '*.la' -exec rm -f {} ';'


%clean
rm -Rf %buildroot


%changelog
* Wed Nov 29 2023 pp - 3.12.1-1pclos2023
- new version

* Thu Mar 23 2023 pp - 3.11.2-1pclos2023
- new version

* Mon Jan 02 2023 pp - 3.11.1-1pclos2023
- new version

* Sat Sep 17 2022 pp - 3.11.0-1pclos2022
- update

* Fri May 27 2022 pp - 3.10.2-1pclos2022
- update

* Wed Nov 10 2021 pp - 3.10.1-1pclos2021
- update

* Sat Oct 23 2021 pp - 3.10.0-1pclos2021
- update

* Sun Mar 21 2021 pp - 3.9.1-1pclos2021
- update

* Fri Feb 19 2021 pp - 3.8.1-1pclos2021
- update

* Mon Jul 08 2019 tex - 3.7.2-1pclos2019
- new version

* Tue Mar 19 2019 pp <pp> 3.7.1-1pclos2019
- update

* Mon Nov 06 2017 bb2 <bb2> - 3.6.2-1pclos2017
- new version

* Thu Nov 07 2013 billybot <billybot> - 3.4.2-2pclos2013
- convert source to tar.xz
- remove .la files

* Tue Nov 05 2013 pinoc <vogtpet at gmail.com> - 3.4.2-1pclos2013
- 3.4.2

